--英雄殿 快捷升星 选择Item
Lua_HeroFastUpStarItem = class("Lua_HeroFastUpStarItem", Lua_HeroAssemblyItem);
function Lua_HeroFastUpStarItem:ctor(p)
	self:superCall("ctor", p, "HeroFastUpStarItem_skin");
end

function Lua_HeroFastUpStarItem:buildShowItem()
	self:superCall("buildShowItem");
	self.heroItem:setScale(0.86, 0.86);
	self.heroItem:setLocation(0, 13, 0);
end

function Lua_HeroFastUpStarItem:setData(data)
	self.data = data;
	if data == nil then
		return;
	end
	self.heroItem:setData(data.heroVo);
	self.heroItem:show_level(nil);
	self.heroItem:showHeroStar(data.show_quality, data.show_quality_star);
	local color = DataCenter.heroUtil:getHeroAwakenStarConfigByQuality(data.show_quality, data.show_quality_star).color;
	self.heroItem:setIconBg("common_altas_1", "xui_common_itembg_"..color);
	self.heroItem:showRedPoint(data.isCanUpStar);

	self:setSelectShow();
	self:setBarShow();
end

function Lua_HeroFastUpStarItem:setBarShow()
	local MaxNum = self.data.speedAllNum;
	local curNum = self.data.getInitActiveNum;
	self.bar:setMaxValue(MaxNum);
	self.bar:setValue(curNum);
	self.bar:setText(curNum .. "/" .. MaxNum);
end

function Lua_HeroFastUpStarItem:onPressClick()
	if self.data == nil then
		return;
	end
	DataCenter.heroAssemblyData.selectHeroVo = self.data.heroVo;
	Lua_MsgUtil.callFunc("SELECT_HEROASSEMBLY_STAR", self.data.heroVo);
end

function Lua_HeroFastUpStarItem:setSelectShow()
	self.isSelect = self.data.heroVo == DataCenter.heroAssemblyData.selectHeroVo;
	if self.beforeSelect == self.isSelect then return end;
	self.beforeSelect = self.isSelect;
	self:updateSelectShow(self.isSelect);
end

function Lua_HeroFastUpStarItem:updateSelectShow(val)
	if val then
		if self.selectMaskBg == nil then
			self.selectMaskBg = UICreate.createUIAtlasImage(self.content, "common_altas_1", "ui_common_window_014", 0, 10, 0, 0);
		end
		self.selectMaskBg:setEnable(true);
	else
		if self.selectMaskBg ~= nil then
			self.selectMaskBg:setEnable(false);
		end
	end
end

