--英雄殿 基本界面panel
Lua_HeroAssemblyPanel = class("Lua_HeroAssemblyPanel", Lua_DisplayObject);
function Lua_HeroAssemblyPanel:buildShowItem()
	self:superCall("buildShowItem");
end

function Lua_HeroAssemblyPanel:dispose()
	if self.starArr ~= nil then
		self.starArr:dispose();
		self.starArr:clear();
		self.starArr = nil;
	end
    self.noneSpr = nil;
    self.noneText = nil;
	self:superCall("dispose");
end

function Lua_HeroAssemblyPanel:updateShowInfo()

end

function Lua_HeroAssemblyPanel:updateHeroSelect(data)

end

function Lua_HeroAssemblyPanel:showHeroStar(quality, quality_star)
    if self.starArr ~= nil then
        for i = 1, self.starArr:getSize() do
            self.starArr[i]:setEnable(false);
        end
    end

    if quality_star ~= nil and quality <= 4 and quality_star > 0 then
        if self.starArr == nil then
            self.starArr = Array();
        end
        local starWidth = 42;
        for i = 1, quality_star do
            local item = self.starArr[i];
            if item == nil then
                item = UICreate.createUIAtlasImage(self.content, "common_altas_4", "xui_common_label_15", 0, 0, 0, 0);
                item.anchorValue = 1;
                self.starArr:add(item);
            end
            item:setEnable(true);
            item:setLocation(-1 * starWidth * quality_star / 2 + starWidth * (i-1) + starWidth / 2, -123, 0);
        end
    end
    self:showEffect(quality, quality_star);
end

function Lua_HeroAssemblyPanel:showEffect(quality, quality_star)
    if self.effectArr ~= nil then
        for i = 1, self.effectArr:getSize() do
            self.effectArr[i]:setEnable(false);
        end
    end

    if quality ~= nil and quality >= 5  then
        if self.effectArr == nil then
            self.effectArr = Array();
        end
        local effect;
        local starWidth = 40;
        local star = quality_star;
        for i = 1, star do
            effect = self.effectArr[i];
            if effect == nil then
                effect = UICreate.createModelEffImg(self.content, "/effects/scsEffects/yinxiong_fire", "yinxiong_fire", 0, 0, 250, 250);
                effect:setCamField(100, 1, 100, true);
                effect.anchorValue = 1;
                self.effectArr:add(effect);
            end
            effect:setEnable(true);
            effect:setLocation(-1 * starWidth * star / 2 + starWidth * (i-1) + starWidth / 2, -135, 0);
        end
    end
end

function Lua_HeroAssemblyPanel:showNone(bShow)
    if bShow then
        if self.noneText == nil then
            self.noneSpr = UICreate.createUIAtlasImage(self.content, "common_altas_3", "xui_common_widget_012", 0, 354, 0, 0);
            self.noneSpr.anchorValue = 7;

            self.noneText = UICreate.createLabel(self.content, LanUtil.getValue(126434), 0, 322, 100, 60, 40);
            self.noneText.anchorValue = 7;
            self.noneText.pivotValue = 4;
            self.noneText.fontName = Lua_MyUISettings.huakangFontName;
            self.noneText.alignmentValue = 4;
            self.noneText.horizontalOverflowValue = 1;
            self.noneText.colorStr = Lua_ColorDefine.transColorStr("938680");
        end
        self.noneText:setEnable(true);
    else
        if self.noneText ~= nil then
            self.noneText:setEnable(false);
        end
    end
end